Bug 963535 - GUI spinner on VM for instance based subscription increments by 2 and default value presented is 1
GUI spinner on VM for instance based subscription increments by 2 and default...
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: subscription-manager (Show other bugs)
5.10
Unspecified Unspecified
unspecified Severity unspecified
: rc
: ---
Assigned To: Devan Goodwin
IDM QE LIST
:
Depends On:
Blocks: rhsm-rhel510
  Show dependency treegraph
 
Reported: 2013-05-16 01:50 EDT by Shwetha Kallesh
Modified: 2013-10-01 09:50 EDT (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-10-01 09:50:19 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
The value presented for a VM is 2 where as it should be 1 (88.97 KB, image/png)
2013-05-16 01:53 EDT, Shwetha Kallesh
no flags Details
gui-spinner on guest (142.18 KB, image/jpeg)
2013-08-08 05:28 EDT, Rehana
no flags Details

  None (edit)
Description Shwetha Kallesh 2013-05-16 01:50:34 EDT
Description of problem:
GUI spinner on VM for instance based subscription increments by 2 and present value 2

Version-Release number of selected component (if applicable):
[root@rhel64 ~]# subscription-manager version
server type: Red Hat Subscription Management
subscription management server: 0.8.7-1
subscription-manager: 1.8.7-1.git.40.c4425a0.el6
python-rhsm: 1.8.11-1.git.0.39d1a53.el6


How reproducible:


Steps to Reproduce:
1.Subscription-manager-gui

2.In all available Tab click on Instance Based subscription,increment the value
3.
  
Actual results:
Increments by 2

Expected results:
Should increment by 1

Additional info:
Comment 1 Shwetha Kallesh 2013-05-16 01:53:59 EDT
Created attachment 748590 [details]
The value presented for a VM is 2 where as it should be 1
Comment 3 RHEL Product and Program Management 2013-05-30 11:05:17 EDT
This request was evaluated by Red Hat Product Management for inclusion
in a Red Hat Enterprise Linux release.  Product Management has
requested further review of this request by Red Hat Engineering, for
potential inclusion in a Red Hat Enterprise Linux release for currently
deployed products.  This request is not yet committed for inclusion in
a release.
Comment 4 Devan Goodwin 2013-06-07 14:52:26 EDT
Fixed in candlepin.git da285884da137af5c3b09f3afb00afbde2b36216.

Will be present in 0.8.14-1.
Comment 5 Bryan Kearney 2013-08-01 11:55:19 EDT
Moving these to ON_QA. The tooling must have missed moving these.
Comment 6 Rehana 2013-08-08 05:26:04 EDT
Retested on 

subscription-manager version
server type: Red Hat Subscription Management
subscription management server: 0.8.19-1
subscription-manager: 1.8.19-1.el5
python-rhsm: 1.8.16-1.el5

Observed that now the GUI spinner on the guest machine only increments by 1 (see attachement)

Hence marking this bug to verified
Comment 7 Rehana 2013-08-08 05:28:41 EDT
Created attachment 784268 [details]
gui-spinner on guest

Note You need to log in before you can comment on or make changes to this bug.